Bug 715154 (o-palm)

Summary: Review Request: o-palm - A coupler for all the applications built upon existing independent models
Product: [Fedora] Fedora Reporter: Ankur Sinha (FranciscoD) <sanjay.ankur>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, notting, volker27
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-10-15 04:59:46 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 673841    

Description Ankur Sinha (FranciscoD) 2011-06-22 03:53:05 UTC
Spec URL: http://ankursinha.fedorapeople.org/o-palm/o-palm.spec
SRPM URL: http://ankursinha.fedorapeople.org/o-palm/o-palm-4.0.0-1.fc15.src.rpm

Description:
The most useful PALM features for such applications are:

- The graphical user interface, making the set-up of a coupled 
application very simple, even with many coupled models.
- The independent interfaces, allowing the use of existing models 
with very few changes, no matter what the other coupled entities are.
- The management of parallel communications, making the coupling 
of parallel models almost automatic.
- The dynamic coupling capabilities, allowing more flexible 
coupling strategies.
- The explicit time reference for the exchanged fields, allowing 
the coupling of iterative models with different time steps.
- The predefined algebra toolbox, allowing field manipulations, 
conversions and interpolations on the fly.
- The debugging, performances analysis and run time monitoring 
tools, simplifying the set-up, the tuning and the control of 
coupled applications.





==============================================================================

rpmlint output:
[ankur@ankur SRPMS]$ rpmlint  /var/lib/mock/fedora-rawhide-i386/result/*.rpm
o-palm.i686: W: spelling-error Summary(en_US) coupler -> couplet, couple, couples
o-palm.i686: E: arch-dependent-file-in-usr-share /usr/share/o-palm/PrePALM_MP/STEPLANG/steplang-i386
o-palm.i686: W: unstripped-binary-or-object /usr/share/o-palm/PrePALM_MP/STEPLANG/steplang-i386
o-palm.i686: W: no-manual-page-for-binary steplang
o-palm.src: W: spelling-error Summary(en_US) coupler -> couplet, couple, couples
o-palm.src:67: W: macro-in-comment %{_includedir}
o-palm.src:68: W: macro-in-comment %{_libdir}
o-palm.src:76: W: macro-in-comment %{_includedir}
o-palm.src:77: W: macro-in-comment %{_libdir}
o-palm.src:92: W: macro-in-comment %{_includedir}
o-palm.src:93: W: macro-in-comment %{_libdir}
o-palm.src:102: W: macro-in-comment %{_includedir}
o-palm.src:103: W: macro-in-comment %{_libdir}
o-palm-debuginfo.i686: E: empty-debuginfo-package
o-palm-devel.i686: W: unstripped-binary-or-object /usr/lib/libpalm_so.so
o-palm-devel.i686: W: no-soname /usr/lib/libpalm_so.so
o-palm-devel.i686: W: shared-lib-calls-exit /usr/lib/libpalm_so.so exit@GLIBC_2.0
o-palm-devel.i686: W: shared-lib-calls-exit /usr/lib/libpalm_so.so exit@@GLIBC_2.0
o-palm-devel.i686: W: no-documentation
o-palm-doc.i686: W: wrong-file-end-of-line-encoding /usr/share/doc/o-palm/PrePALM_MP/doc_idcards.txt
5 packages and 0 specfiles checked; 2 errors, 18 warnings.

================================================================================

I need to test if it's working properly. The package may just need a little more work.

Comment 1 Volker Fröhlich 2011-08-26 20:55:16 UTC
Did you already progress on that?

Comment 2 Ankur Sinha (FranciscoD) 2011-10-15 04:59:46 UTC
Hi,

I'm not working on -medical related packages anymore and will not be pursuing this review ticket. If someone else wishes to take up the review, please open a new ticket. 

Thanks,
Ankur